#!/bin/zsh

# Set the log file
LOGFILE="KafkIO_debug.log"
COMMAND="./KafkIO -x -Dprism.verbose=true -Djdk.gtk.verbose=true -Djavafx.verbose=true -Dprism.debugfonts=true"

# More verbose
# COMMAND="./KafkIO -x -Dprism.verbose=true -Djdk.gtk.verbose=true -Djavafx.verbose=true -Dprism.debugfonts=true -Dquantum.verbose=true -Dprism.debug=true"

# Graphics issues? Try software rendering
# COMMAND="./KafkIO -Dprism.order=sw"

# Inform the user
echo "This script will run KafkIO and log both stdout and stderr to the console and to the file: $LOGFILE"
echo "Press any key to continue..."
read -p "" -n 1  # Wait for user to press a key (compatible with macOS and Linux)

echo "Logging output to $LOGFILE..."
$COMMAND 2>&1 | tee "$LOGFILE"